Option | Description | Values | Default
--- | --- | --- | ---
licenseUrl | The URL of the license |  | http://localhost
licenseName | The name of the license |  | NoLicense
packageCopyright | Specifies an AssemblyCopyright for the .NET Framework global assembly attributes stored in the AssemblyInfo file. |  | No Copyright
packageAuthors | Specifies Authors property in the .NET Core project file. |  | OpenAPI
packageTitle | Specifies an AssemblyTitle for the .NET Framework global assembly attributes stored in the AssemblyInfo file. |  | OpenAPI Library
packageName | F# module name (convention: Title.Case). |  | OpenAPI
packageVersion | F# package version. |  | 1.0.0
packageGuid | The GUID that will be associated with the C# project |  | null
sourceFolder | source folder for generated code |  | OpenAPI/src
sortParamsByRequiredFlag | Sort method arguments to place required parameters before optional parameters. |  | true
useDateTimeOffset | Use DateTimeOffset to model date-time properties |  | false
useCollection | Deserialize array types to Collection<T> instead of List<T>. |  | false
returnICollection | Return ICollection<T> instead of the concrete type. |  | false
useSwashbuckle | Uses the Swashbuckle.AspNetCore NuGet package for documentation. |  | false
generateBody | Generates method body. |  | true
buildTarget | Target the build for a program or library. |  | program

##
IMPORT MAPPING

Type/Alias | Imports
--- | ---
IDictionary | System.Collections.Generic

##
INSTANTIATION TYPES

Type/Alias | Instantiated By
--- | ---
array | list
list | list
map | IDictionary

##
LANGUAGE PRIMITIVES

- Dictionary
- string
- bool
- String
- System.IO.Stream
- float
- DateTime
- int64
- Int32
- DataTimeOffset
- dict
- List
- unativeint
- uint32
- uint16
- seq
- nativeint
- double
- float32
- list
- Double
- int
- int16
- byte[]
- single
- Int64
- obj
- char
- ICollection
- Collection
- uint64
- decimal

##
RESERVED WORDS

- exception
- struct
- select
- type
- when
- localVarQueryParams
- else
- mutable
- lock
- let
- localVarPathParams
- catch
- if
- case
- val
- localVarHttpHeaderAccepts
- localVarPostBody
- in
- byte
- double
- module
- is
- elif
- then
- params
- enum
- explicit
- as
- begin
- internal
- yield!
- lazy
- localVarHttpHeaderAccept
- use!
- delegate
- default
- localVarHttpContentTypes
- localVarHttpContentType
- let!
- assert
- yield
- member
- override
- event
- break
- downto
- abstract
- match!
- char
- localVarFileParams
- to
- fun
- open
- return
- use
- return!
- extern
- do
- float
- while
- rec
- continue
- function
- raise
- checked
- dynamic
- new
- static
- void
- upcast
- localVarResponse
- sealed
- finally
- done
- null
- localVarPath
- true
- fixed
- try
- decimal
- option
- private
- bool
- const
- string
- for
- interface
- foreach
- not
- public
- localVarStatusCode
- and
- of
- await
- end
- class
- localVarFormParams
- or
- false
- match
- volatile
- int
- async
- with
- localVarHeaderParams
- inline
- downcast
- inherit
- namespace
- base

Last updated on 1/9/2020